package com.diagbot.client;

import com.diagbot.client.bean.Response;
import com.diagbot.client.bean.ResponseData;
import com.diagbot.client.bean.SearchData;
import com.diagbot.client.hystrix.BigDataServiceHystrix;
import org.springframework.cloud.openfeign.FeignClient;
import org.springframework.web.bind.annotation.PostMapping;
import org.springframework.web.bind.annotation.RequestBody;

/**
 * @Description:调用大数据对接层服务
 * @Author:zhaops
 * @time: 2018/11/20 13:15
 */
@FeignClient(name = "BigData", url = "${bigdata.server.address}", fallback = BigDataServiceHystrix.class)
public interface BigDataServiceClient {
    @PostMapping(value = "/push-web/algorithm/neural")
    Response<ResponseData> bayesPageData(@RequestBody SearchData searchData);
}
