package com.diagbot.client;

import com.diagbot.client.bean.GdbResponse;
import com.diagbot.client.bean.Response;
import com.diagbot.client.bean.SearchData;
import com.diagbot.client.hystrix.GraphServiceHystrix;
import org.springframework.cloud.openfeign.FeignClient;
import org.springframework.web.bind.annotation.PostMapping;
import org.springframework.web.bind.annotation.RequestBody;

/**
 * @Description:调用知识图谱对接层服务
 * @Author:zhaops
 * @time: 2018/12/21 11:38
 */
@FeignClient(name = "Graph", url = "${graph.server.address}", fallback = GraphServiceHystrix.class)
public interface GraphServiceClient {
    @PostMapping(value = "/graph-web/graph/highRisk")
    Response<GdbResponse> highRiskPageData(@RequestBody SearchData searchData);
}
