package com.diagbot.client;

import com.diagbot.client.bean.Response;
import com.diagbot.client.hystrix.NLPServiceHystrix;
import org.springframework.cloud.openfeign.FeignClient;
import org.springframework.web.bind.annotation.PostMapping;
import org.springframework.web.bind.annotation.RequestParam;

import java.util.List;
import java.util.Map;

/**
 * @Description:调用NLP对接层服务
 * @Author:zhaops
 * @time: 2019/2/26 10:33
 */
@FeignClient(name = "NLP", url = "${nlp.server.address}", fallback = NLPServiceHystrix.class)
public interface NLPServiceClient {
    @PostMapping(value = "/nlp-web/feature/find_symptom_feature")
    Response<List<Map<String, Object>>> symptomFeaturePageData(@RequestParam("text") String text);
}