package com.diagbot.client.hystrix;

import com.diagbot.client.GraphServiceClient;
import com.diagbot.client.bean.GdbResponse;
import com.diagbot.client.bean.Response;
import com.diagbot.client.bean.SearchData;
import lombok.extern.slf4j.Slf4j;
import org.springframework.stereotype.Component;

/**
 * @Description:调用知识图谱对接层服务
 * @Author:zhaops
 * @time: 2018/12/21 11:48
 */
@Component
@Slf4j
public class GraphServiceHystrix implements GraphServiceClient {
    @Override
    public Response<GdbResponse> highRiskPageData(SearchData searchData) {
        log.error("【hystrix】调用{}异常", "highRiskPageData");
        return null;
    }
}
