package com.diagbot.client;

import java.util.List;

import org.springframework.cloud.openfeign.FeignClient;
import org.springframework.web.bind.annotation.PostMapping;
import org.springframework.web.bind.annotation.RequestBody;

import com.diagbot.client.hystrix.DeptInfoServiceHystrix;
import com.diagbot.dto.GetAllDeptsDTO;
import com.diagbot.dto.RespDTO;
import com.diagbot.vo.GetAllDeptsVO;


/**
 * @Description: 调用科室服务
 * @author: gaodm
 * @time: 2018/8/6 9:52
 */
@FeignClient(value = "icssman-service", fallback = DeptInfoServiceHystrix.class)
public interface DeptInfoServiceClient {
	
	@PostMapping(value = "/deptInfo/getAllDepts")
	RespDTO<List<GetAllDeptsDTO>> getAllDepts(@RequestBody GetAllDeptsVO getAllDeptsVO);
    
}



