package com.diagbot.facade;

import java.util.List;

import org.springframework.stereotype.Component;

import com.baomidou.mybatisplus.core.conditions.query.QueryWrapper;
import com.diagbot.dto.GetAllLexiconRelationshipDTO;
import com.diagbot.entity.LexiconRelationship;
import com.diagbot.service.impl.LexiconRelationshipServiceImpl;
import com.diagbot.util.BeanUtil;
import com.diagbot.util.StringUtil;
import com.diagbot.vo.GetAllLexiconRelationshipVO;

/**
 * @Description: 术语关系类型业务层
 * @author: Weixuan Huang
 * @time: 2019/1/16 14:17
 */
@Component
public class LexiconRelationshipFacade extends LexiconRelationshipServiceImpl {
	
	 /**
     * 获取所有关系类型
     * @param getAllLexiconRelationshipVO
     * @return
     */
    public List<GetAllLexiconRelationshipDTO> getAllLexiconRelationship(GetAllLexiconRelationshipVO getAllLexiconRelationshipVO){
    	QueryWrapper<LexiconRelationship> lexiconRelationshipQe = new QueryWrapper<>();
    	lexiconRelationshipQe.eq("is_deleted", "N");
    	if(StringUtil.isNotBlank(getAllLexiconRelationshipVO.getName())){
    		lexiconRelationshipQe.like("name", getAllLexiconRelationshipVO.getName());
    	}
    	if(StringUtil.isNotBlank(getAllLexiconRelationshipVO.getCode())){
    		lexiconRelationshipQe.eq("code", getAllLexiconRelationshipVO.getCode());
    	}
    	return BeanUtil.listCopyTo(list(lexiconRelationshipQe), GetAllLexiconRelationshipDTO.class);
    }


}
