package com.diagbot.vo;

import java.util.List;

import javax.validation.constraints.NotBlank;
import javax.validation.constraints.NotEmpty;

import io.swagger.annotations.ApiModelProperty;
import lombok.Getter;
import lombok.Setter;

/**
 * @Description
 * @author rgb
 * @time 2019-03
 */
@Getter
@Setter
public class AddConceptInfoVO {
	
	/**
     * 标准术语名称 提示使用
     */
	@ApiModelProperty(value="标准术语名称",required=true)
	@NotBlank(message="标准术语名称必传")
    private String name;
    
    /**
     * 术语类型
     */
	@ApiModelProperty(value="术语类型",required=true)
	@NotBlank(message="术语类型必传")
    private String type;

	/**
     * 术语明细
     */
	@ApiModelProperty(value="术语明细",required=true)
	@NotEmpty(message="术语明细不能为空")
	private List<AddConceptInfoDetailVO> detailList;

}
