package com.diagbot.vo;

import javax.validation.constraints.NotBlank;
import javax.validation.constraints.NotNull;

import io.swagger.annotations.ApiModelProperty;
import lombok.Getter;
import lombok.Setter;

/**
 * @Description
 * @author rgb
 * @time 2019-03
 */
@Getter
@Setter
public class AddMedicalInfoVO {
	
	/**
     * 术语概念名称
     */
    @NotBlank(message="术语概念名称必填")
	@ApiModelProperty(value="术语概念名称",required=true)
    private String conceptName;
	
	/**
     * 术语概念类型
     */
    @NotBlank(message="术语概念类型必填")
	@ApiModelProperty(value="术语概念类型",required=true)
    private String conceptType;
	
    /**
     * 术语名称
     */
	@NotBlank(message="术语名称必填")
	@ApiModelProperty(value="术语名称",required=true)
    private String name;

    /**
     * 术语标准名
     */
	@NotBlank(message="术语标准名必填")
	@ApiModelProperty(value="术语标准名",required=true)
    private String stdName;

    /**
     * 术语小类名称
     */
	@NotBlank(message="术语小类名称必填")
	@ApiModelProperty(value="术语小类名称",required=true)
    private String cateName;

    /**
     * 术语类组
     */
	@NotBlank(message="术语类组必填")
	@ApiModelProperty(value="术语类组",required=true)
    private String grp;

    /**
     * 效用名称
     */
    private String function;
	
    /**
     * 性别：1:男, 2:女, 3:通用
     */
	@NotBlank(message="性别必填")
	@ApiModelProperty(value="性别：1:男, 2:女, 3:通用",required=true)
    private String gender;

    /**
     * 症状发生的最小年龄
     */
	@NotNull(message="症状发生的最小年龄必填")
	@ApiModelProperty(value="症状发生的最小年龄",required=true)
    private Integer minAge;

    /**
     * 症状发生的最大年龄
     */
	@NotNull(message="症状发生的最大年龄必填")
	@ApiModelProperty(value="症状发生的最大年龄",required=true)
    private Integer maxAge;

    /**
     * 一级部位
     */
	@NotBlank(message="一级部位必填")
	@ApiModelProperty(value="一级部位",required=true)
    private String bodypart;

    /**
     * 二级部位
     */
	@NotBlank(message="二级部位必填")
	@ApiModelProperty(value="二级部位",required=true)
    private String subBodypart;

    /**
     * 显示顺序
     */
	@ApiModelProperty(value="显示顺序")
    private String displayOrder;

    /**
     * 科室
     */
	@NotBlank(message="科室必填")
	@ApiModelProperty(value="科室",required=true)
    private String dept;

    /**
     * 术语身份编码
     */
	@ApiModelProperty(value="术语身份编码")
    private String code;

    /**
     * 备注
     */
	@ApiModelProperty(value="备注")
    private String note;
	
}
