package com.diagbot.vo;

import javax.validation.constraints.NotNull;

import org.hibernate.validator.constraints.Range;

import io.swagger.annotations.ApiModelProperty;
import lombok.Getter;
import lombok.Setter;

/**
 * @Description:
 * @author: Weixuan Huang
 * @time: 2019/3/14 16:03
 */
@Getter
@Setter
public class GetAllBodypartVO {
    
    /**
     * 一级部位名称
     */
	@ApiModelProperty(value="一级部位名称")
    private String bodypart;
	
    /**
     * 二级部位名称
     */
	@ApiModelProperty(value="二级部位名称")
    private String subBodypart;
  
    /**
     * 部位级别,1-一级、2-二级
     */
    @NotNull(message="部位级别必传")
    @ApiModelProperty(value="部位级别,1-一级、2-二级",required=true)
    @Range(min=1,max=2,message="部位级别必须是1或2")
    private Integer level;
    
}