package com.diagbot.web;

import java.util.List;

import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.PostMapping;
import org.springframework.web.bind.annotation.RequestBody;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RestController;

import com.diagbot.annotation.SysLogger;
import com.diagbot.dto.GetAllBodypartDTO;
import com.diagbot.dto.RespDTO;
import com.diagbot.facade.BodypartFacade;
import com.diagbot.vo.GetAllBodypartVO;

import io.swagger.annotations.Api;
import io.swagger.annotations.ApiOperation;

/**
 * <p>
 *  前端控制器
 * </p>
 *
 * @author Weixuan Huang
 * @since 2019-01-30
 */
@RestController
@RequestMapping("/bodypart")
@SuppressWarnings("unchecked")
@Api(value = "部位维护相关API", tags = { "部位维护相关API" })
public class BodypartController {
	
    @Autowired
    private BodypartFacade bodypartFacade;
    
    @ApiOperation(value = "获取所有部位[by:rengb]")
    @PostMapping("/getAllBodypart")
    @SysLogger("getAllBodypart")
    public RespDTO<List<GetAllBodypartDTO>> getAllBodypart(@RequestBody GetAllBodypartVO getAllBodypartVO) {
        return RespDTO.onSuc(bodypartFacade.getAllBodypart(getAllBodypartVO));
    }
    
    
}
