package com.diagbot.web;

import java.util.List;

import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.PostMapping;
import org.springframework.web.bind.annotation.RequestBody;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RestController;

import com.diagbot.annotation.SysLogger;
import com.diagbot.dto.GetAllLexiconRelationshipDTO;
import com.diagbot.dto.RespDTO;
import com.diagbot.facade.LexiconRelationshipFacade;
import com.diagbot.vo.GetAllLexiconRelationshipVO;

import io.swagger.annotations.Api;
import io.swagger.annotations.ApiOperation;

/**
 * <p>
 *  前端控制器
 * </p>
 *
 * @author Weixuan Huang
 * @since 2019-01-30
 */
@RestController
@RequestMapping("/lexiconRelationship")
@SuppressWarnings("unchecked")
@Api(value = "关系类型维护相关API", tags = { "关系类型维护相关API" })
public class LexiconRelationshipController {
	
    @Autowired
    private LexiconRelationshipFacade lexiconRelationshipFacade;
    
    @ApiOperation(value = "获取所有关系类型[by:rengb]")
    @PostMapping("/getAllLexiconRelationship")
    @SysLogger("getAllLexiconRelationship")
    public RespDTO<List<GetAllLexiconRelationshipDTO>> getAllLexiconRelationship(@RequestBody GetAllLexiconRelationshipVO getAllLexiconRelationshipVO) {
        return RespDTO.onSuc(lexiconRelationshipFacade.getAllLexiconRelationship(getAllLexiconRelationshipVO));
    }
    
    
}
